% FUNCTION BETA(A,B,X)  
%
%	y = beta(a,b,x)
%
function y = BWbeta(a,b,x)
      if x < 0 | x > 1, error('bad argument x in beta'),return,end
      if x == 0 | x == 1
	bt=0.;
      else
        t1 = log(gamma(a+b));
	t2 = log(gamma(a));
	t3 = log(gamma(b));
	tmp=(t1 - t2 - t3 + a * log(x) + b * log(1-x));
	if abs(tmp) < 1.0e-36 | tmp < -88.0
	    bt = 1.0;
	else
            bt=exp(tmp);
	end 
      end
      if x < ((a+1.)/(a+b+2.))
	t4 = betacf(a,b,x);
        y = bt * t4/a;
      else
	t4 = betacf(b,a,1-x);
        y = 1 - bt * t4/b;
      end
