function OK=Consistent(splitnum,Near,Err,K,Consistency)

%  This function checks whether a training sample has a consistent error 
%  (OK = 1), or not (OK = 0). The function is a subfunction of the Iterate 
%  function(s).
%  I/O format is OK=Consistent(splitnum,Near,Err,K,Consistency); splitnum
%  is the number of the possible splitsample, Near is the nearest 
%  neighboring matrix, Err is the vector of estimation errors and K is the
%  number of neighboring samples. The final input is Consistency, a flag
%  indicating whether the consistency heuristic is to be applied 
%  (Consistency = 1), or not (Consistency = 0).

%  Copyright
%  Lars Aarhus
%  1994

if Consistency
  i=2;
else
  i=K+1;
end

OK=1;

while OK & i<=K
  if Err(splitnum)*Err(Near(splitnum,i)) < 0
    OK=0;
  end
  i=i+1;
end
