function rms=RMS(X)

%  This function computes the Root Mean Squared (RMS) error of X.
%  I/O format is rms=RMS(X). For X a vector, RMS(X) returns the scalar
%  rms-value. For X a matrix, RMS(X) returns the rms-value for each column 
%  in X.

%  Copyright
%  Lars Aarhus
%  1994

[cols,rows]=size(X);
if rows==1
  rms=sqrt(X'*X/cols);
elseif cols==1
  rms=sqrt(X*X'/rows);
else
  rms=diag(sqrt(X'*X/cols));
end
