function v=Weight(Cntr,Xsample,Pinv)

%  This function computes and returns the validity (between 0 and 1) of a
%  projected input sample in weighting space, using a multivariate 
%  unnormalized Gaussian validity function. 
%  I/O format is v=Weight(Cntr,Xsample,Pinv); where Cntr and Xsample is the
%  center of the Gaussian function and the input sample respectively, whereas
%  Pinv is the inverse smoothing matrix of the projected training scores.

%  Copyright
%  Lars Aarhus
%  1994

Exponent=-0.5*(Xsample-Cntr)'*Pinv*(Xsample-Cntr);
v=exp(Exponent);
