function [ax,mx,stdx] = auto(x)
%  autoscales matrix x and returns a vector of means (mx) and
%  standard deviations (stdx) used in the scaling.  I/O format
%  is:  [ax,mx,stdx] = auto(x)
[m,n] = size(x);

%  Copyright
%  Barry M. Wise
%  1991

%  Calculate the mean and standard deviation of the input data.
%  Open a matrix with zeros for the scaled data (this makes
%  the function faster since it doesn't have to resize y)
mx = mean(x);
stdx = std(x);
ax = zeros(m,n);
for i = 1:m
  ax(i,:) = (x(i,:) - mx)./stdx;
end
