%  BETACF.M  Continued fraction routine for incomplete beta function
%	used by BETTAI.M
%
%  y = betacf(a,b,x)
%
%	where a,b = the number pairs
%		x = the limit
%
function y = betacf(a,b,x)
	am = 1;
	bm = 1;
	az = 1;
	m = 1;
	qab = a + b;
	qap = a + 1;
	qam = a - 1;
	bz = 1 - qab * x / qap;
	while m<100
 	   em = m;
	   tem = em + em;
	   d = em * (b - m) * x / ((qam + tem) * (a + tem));
	   ap = az + d * am;
	   bp = bz + d * bm;
	   d = -(a + em) * (qab + em) * x / ((a + tem) * (qap +tem));
	   app = ap + d * az;
	   bpp = bp + d * bz;
	   aold = az;
	   am = ap/bpp;
	   bm = bp/bpp;
	   az = app/bpp;
	   bz = 1;
	   if abs(az-aold) < (3E-7 * abs(az)), break, end
	   m = m+1;
	end
	if m > 100, error(' A or B too big, or too many iterations'),end
	y = az;
