function cm = conpred1(b,w,p,q,lv)
%  This function converts the matrices used for prediction
%  in PLS to regression vector or matrix (for cases with
%  more than 1 y-block variable).  The I/O format is:
%  cm = conpred1(b,W,P,Q,lv)  where b, W, P, and Q all have 
%  the usual meaning and lv is the number of latent variables 
%  to consider in the prediction.

%  Copyright
%  Barry M. Wise
%  1991

[rq,cq] = size(q);
m = conpred(b,w,p,q,lv);
if lv == 1
  cm = m';
else
  if rq == 1
    cm = (sum(m))';
  else
    cm = m(1:rq,:)';
    for i = 1:lv-1
      cm = cm + m(i*rq+1:(i+1)*rq,:)';
    end
  end
end
