function rx = rescale(x,mx,stdx)
%  Rescales matrix x using the means (mx) and standard deviation
%  (stdx) vectors specified.  I/O format is:
%  rx = rescale(x,mx,stdx);
%  If only two input arguments are supplied the function rescales
%  the means only.  The I/O format is then:
%  rx = rescale(x,mx);

%  Copyright
%  Barry M. Wise
%  1991

[m,n] = size(x);
rx = zeros(m,n);
if nargin == 3
  for i = 1:m
    rx(i,:) = (x(i,:).*stdx)+mx;
  end
else
  for i = 1:m
    rx(i,:) = x(i,:)+mx;
  end
end
