function sx = scale(x,means,stds)
%  Scales matrix x using means (mx) and standard deviations (stds)
%  specified.  I/O format is:  sx = scale(x,means,stds);
%  If only two input arguments are supplied then the function
%  will not do variance scaling, but only vector subtraction.
%  I/O format is:  sx = scale(x,means);

%  Copyright
%  Barry M. Wise
%  1991

[m,n] = size(x);
sx = zeros(m,n);
if nargin == 3
  for i = 1:m
    sx(i,:) = (x(i,:)-means)./stds;
  end
else
  for i = 1:m
    sx(i,:) = (x(i,:)-means);
  end
end
